OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIX.Async

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGIXAsync :: MonadIO m => m Bool
- gl_SGIX_async :: Bool
- gl_ASYNC_MARKER_SGIX :: GLenum
- glAsyncMarkerSGIX :: MonadIO m => GLuint -> m ()
- glDeleteAsyncMarkersSGIX :: MonadIO m => GLuint -> GLsizei -> m ()
- glFinishAsyncSGIX :: MonadIO m => Ptr GLuint -> m GLint
- glGenAsyncMarkersSGIX :: MonadIO m => GLsizei -> m GLuint
- glIsAsyncMarkerSGIX :: MonadIO m => GLuint -> m GLboolean
- glPollAsyncSGIX :: MonadIO m => Ptr GLuint -> m GLint

# Extension Support

glGetSGIXAsync :: MonadIO m => m Bool

Is the SGIX_async extension supported?

gl_SGIX_async :: Bool

Is the SGIX_async extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXAsync` in those cases instead.

# Enums

gl_ASYNC_MARKER_SGIX :: GLenum

# Functions

glAsyncMarkerSGIX

Arguments

:: MonadIO m |
=> GLuint | `marker`.
-> m () |

glDeleteAsyncMarkersSGIX

Arguments

:: MonadIO m |
=> GLuint | `marker`.
-> GLsizei | `range`.
-> m () |

glFinishAsyncSGIX

Arguments

:: MonadIO m |
=> Ptr GLuint | `markerp` pointing to `1` element of type `GLuint`.
-> m GLint |

glGenAsyncMarkersSGIX

Arguments

:: MonadIO m |
=> GLsizei | `range`.
-> m GLuint |

glIsAsyncMarkerSGIX

Arguments

:: MonadIO m |
=> GLuint | `marker`.
-> m GLboolean | of type Boolean.

glPollAsyncSGIX

Arguments

:: MonadIO m |
=> Ptr GLuint | `markerp` pointing to `1` element of type `GLuint`.
-> m GLint |